SELECT PMX_OSSL.Code, PMX_INVT.StorLocCode AS LocationStock, PMX_IMP_CLU.NumberOfLUID AS LUID_COUNTED, COUNT(PMX_INVT.LogUnitIdentKey) AS LUID_STOCK ,
COUNT(PMX_INVT.LogUnitIdentKey) - ISNULL(PMX_IMP_CLU.NumberOfLUID, 0) AS [Difference]
FROM 
PMX_OSSL 
LEFT JOIN PMX_INVT ON PMX_INVT.StorLocCode = PMX_OSSL.Code
LEFT JOIN PMX_IMP_CLU ON PMX_IMP_CLU.StorLocCode = PMX_OSSL.Code

--Uncomment line below to see all locations where stock is in system, but it has not been counted
--WHERE PMX_IMP_CLU.NumberOfLUID IS NULL AND PMX_INVT.StorLocCode IS NOT NULL


GROUP BY PMX_OSSL.Code, PMX_IMP_CLU.NumberOfLUID, PMX_INVT.StorLocCode
HAVING COUNT(PMX_INVT.LogUnitIdentKey) - ISNULL(PMX_IMP_CLU.NumberOfLUID, 0) <> 0











